diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 5a55593..6e9d78e 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1141,6 +1141,11 @@ Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
 Parnas, David Lorge and Madey, Jan
 ``Functional Documents for Computer Systems''
 Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
+\bibitem[Pra73]{Pra73}
+Pratt, Vaughan R. ``Top down operator precedence''
+POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
+Principles of programming languages 
+\verb|hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf|
 \bibitem[PTVF95]{PTVF95}
 Press, William H., Teukolsky, Saul A., Vetterling, William T., 
 Flannery, Brian P. ``Numerical Recipes in C''
diff --git a/changelog b/changelog
index ff55f77..02c95a1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20101211 tpd src/axiom-website/patches.html 20101211.01.tpd.patch
+20101211 tpd books/bookvolbib add [Pra73] Top down operator precedence
 20101210 tpd src/axiom-website/patches.html 20101210.01.tpd.patch
 20101210 tpd src/interp/newaux.lisp remove newaux.lisp
 20101210 tpd src/interp/Makefile merge and remove newaux.lisp
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3b9d23b..ea643c3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3311,5 +3311,7 @@ books/bookvol9 treeshake compiler<br/>
 src/input/series.input add series to polynomial example<br/>
 <a href="patches/20101210.01.tpd.patch">20101210.01.tpd.patch</a>
 books/bookvol9 merge and remove newaux.lisp<br/>
+<a href="patches/20101211.01.tpd.patch">20101211.01.tpd.patch</a>
+books/bookvolbib add [Pra73] Top down operator precedence<br/>
  </body>
 </html>
